Bug 444474 - Satellite Virt Provisioning Should Support Option To Start Guest When Host Is Rebooted
Satellite Virt Provisioning Should Support Option To Start Guest When Host Is...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
:
: 507875 (view as bug list)
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2008-04-28 11:29 EDT by Devan Goodwin
Modified: 2014-05-09 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2008-04-28 11:29:45 EDT
Description of problem:

Currently when a guest is created via the satellite UI the guest has to be
manually restarted every time the host is. This behavior can be modified by
creating a symlink in /etc/sysconfig/rhn/virt/auto to the guests config file in
/etc/sysconfig/rhn/virt, at which point the rhn-virtualization-host service will
pick it up and start the guest automatically.

This behavior matches virt-manager and is probably a sane default. However we
could add an option to the satellite UI when scheduling the provisioning to do
this tedious manual step automatically once the guest is created.
Comment 2 Clifford Perry 2008-09-30 10:39:04 EDT
I agree to expose this type of option within Satellite UI *IF* Cobbler also supports it at time of provisioning a new virt guest OS.
Comment 3 Michael DeHaan 2009-05-28 14:22:33 EDT
Cobbler has an attribute (on the devel branch) to do this, though it's implemented currently via a Xen-specific symlink (basically I need to upgrade the user patch I was given for this to make it more generic).  Ideally we should modify this so it also works for KVM.

Do we need to backport this to Cobbler's master branch and do a Cobbler 1.6.6 to include it?  If needed, I can.   Let me know.

(Cobbler/koan 1.6.5 comes out today and is too late to include that in this release, as I need to get this release out to fix a Unicode bug on RHEL4, though there is no schedule saying when a 1.6.6 could come out, so next week or whenever works for me).
Comment 5 Partha Aji 2009-06-24 13:32:14 EDT
*** Bug 507875 has been marked as a duplicate of this bug. ***
Comment 7 Clifford Perry 2014-05-09 06:20:52 EDT
We have not addressed this specific bug for over 4 years. This bug was reported as either Satellite 5.0 or 5.1, both of which have now End of Life and not supported. I am closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.